> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload file

> Uploads a file to BeyondWords storage. Use the returned URL when creating or updating content items that reference uploaded audio or other assets.



## OpenAPI

````yaml post /upload
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /upload:
    post:
      tags:
        - Upload
      summary: Upload file
      description: >-
        Uploads a file to BeyondWords storage. Use the returned URL when
        creating or updating content items that reference uploaded audio or
        other assets.
      operationId: upload#create
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: Binary file (limit 50 MB)
              required:
                - file
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  file_url:
                    type: string
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````